import { InjectionKey } from 'vue';
export interface CreateContextOptions {
    readonly?: boolean;
    createProvider?: boolean;
    native?: boolean;
}
export declare function createContext<T>(context: any, key?: InjectionKey<T>, options?: CreateContextOptions): {
    Provider: import("vue").DefineComponent<{}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}> | null;
    state: any;
};
export declare function useContext<T>(key: InjectionKey<T>, native?: boolean): T;
export declare function useContext<T>(key: InjectionKey<T>, defaultValue?: any, native?: boolean): T;
/** one way to use it:
 * @example:
        import { InjectionKey, Ref } from 'vue';
        import { createContext, useContext } from '/@/hooks/core/useContext';

        export interface AppProviderContextProps {
          prefixCls: Ref<string>;
          isMobile: Ref<boolean>;
        }

        const key: InjectionKey<AppProviderContextProps> = Symbol();

        export function createAppProviderContext(context: AppProviderContextProps) {
          return createContext<AppProviderContextProps>(context, key);
        }

        export function useAppProviderContext() {
          return useContext<AppProviderContextProps>(key);
        }
 */
